## ros-melodic-jsk-perception 1.2.15

=== debian/changelog ===
ros-melodic-jsk-perception (1.2.15-1stretch) stretch; urgency=high

  * check if template/ direcotry exists, because this is auto-generated directory (#2537 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2537>)
    
      * install within roseus_FOUND
      * check if template/ direcotry exists, because this is auto-generated directory
    
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 Oct 2020 00:00:00 -0000

ros-melodic-jsk-perception (1.2.14-1stretch) stretch; urgency=high

  * remove packages=['jsk_perceptoin'] (#2536 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2536>)
  * fix
  ```
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 09 Oct 2020 00:00:00 -0000

ros-melodic-jsk-perception (1.2.13-1stretch) stretch; urgency=high

  * fix logic to check chainer version (#2534 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2534>)
    
      * add test to check #2533 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2533> regression
    
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 Oct 2020 00:00:00 -0000

ros-melodic-jsk-perception (1.2.12-1stretch) stretch; urgency=high

  * check if chainer is found before check version (#2533 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2533>)
    
      * fixes http://build.ros.org/job/Nbin_uF64__jsk_perception__ubuntu_focal_amd64__binary/1/console and http://build.ros.org/job/Mbin_uB64__jsk_perception__ubuntu_bionic_amd64__binary/91/console
    
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 03 Oct 2020 00:00:00 -0000

ros-melodic-jsk-perception (1.2.11-1stretch) stretch; urgency=high

  * Add FCN8sDepthPredictionConcatFirst model to fcn_depth_prediction.py (#2481 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2481>)
    
      * Update output file names
      * Read dataset directory from argument
      * Fix directory name of dataset extracted from tar ball
      * Flatten images for network input
      * Remove wrong transform of dataset from train_fcn_depth_prediction.py
      * Add training script of FCNDepthPredictionConcatFirst model
      * Move FCN8sDepthPrediction chainer models to jsk_recognition_utils
      * Add install script of mirror dataset
      * Fix typo of model path
      * Use cv2 version of colormap JET
      * Add trained model of FCN8sDepthPredictionConcatFirst
      * Add FCN8sDepthPredictionConcatFirst model to fcn_depth_prediction.py
    
  * refactor sample launches in jsk_perception (#2376 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2376>)
  * Add nose mask publisher (#2347 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2347>)
  * [jsk_perception/people_pose_estimation_2d.py][jsk_perception/people_mask_publisher.py] Fix edge case bug (#2465 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2465>)
  * Publish ClusterPointIndices in ssd_object_detector.py (#2467 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2467>)
    
      * add predict profilling message above cluster indices computation
    
  * fix travis - skip noetic test into two jobs, using BUILD_PKGS - skip catkin_python_setup for indigo (#2522 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2522>)
  * Fix for  noetic / 20.04 (#2507 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2507>)
    
      * jsk_perception/scripts: respect ROS_PYTHON_VERSION
      * support for opencv4 : jsk_perception
      * remove signals from find_package(Boost)
      * jsk_perception depends on roseus, but it sometimes hard to keep dependency
      * fix for python3, use 2to3 -f print, 2to3 -f except
      * upgrade package.xml to format=3, migrate to noetic with ROS_PYTHON_VERSION=2/3, use multiple ROS distro strategy http://wiki.ros.org/noetic/Migration
    
  * more fix for #2500 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2500> (#2502 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2502>)
    
      * fix print '' -> print('')
    
  * fix print syntax in train_ssd.py (#2500 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2500>)
    
      * fix print '' -> print('')
    
  * [jsk_perception] support image with alpha in image_publisher (#2479 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2479>)
    
      * fix image_publisher for loading grayscale image
      * use cv2 default type
      * add test for image with alpha channel
      * add sample for alpha image
      * fix for depth image
      * support image with alpha in image_publisher
    
  * [jsk_perception] add program for training ssd with box annotation (#2483 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2483>)
  * show what should we do, if we have error on 'import chainer' (#2491 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2491>)
    
      * use --clock for sample_image_cluster_indices_decomposer.launch, add --clock to sample_bounding_box_to_rect.launch does not work...
      * print how to intall cupy
    if you do not have cupy, it raises error
    ```
    [INFO] [1588763738.839739]: Read the image file: /home/k-okada/ws_recognition/src/jsk_recognition/jsk_perception/sample/object_detection_example_2.jpg
    [INFO] [1588763739.625133]: Loaded 43 labels
    Traceback (most recent call last):
    File "/home/k-okada/ws_recognition/src/jsk_recognition/jsk_perception/node_scripts/ssd_object_detector.py", line 207, in <module>
    ssd = SSDObjectDetector()
    File "/opt/ros/melodic/lib/python2.7/dist-packages/jsk_topic_tools/transport.py", line 26, in __call\_\_
    obj = type.__call_\_(cls, *args, **kwargs)
    File "/home/k-okada/ws_recognition/src/jsk_recognition/jsk_perception/node_scripts/ssd_object_detector.py", line 71, in __init\_\_
    chainer.cuda.get_device_from_id(self.gpu).use()
    File "/usr/local/lib/python2.7/dist-packages/chainer/backends/cuda.py", line 275, in get_device_from_id
    check_cuda_available()

