=== debian/control ===
Source: ros-melodic-jsk-perception
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), git, libeigen3-dev, libyaml-cpp-dev, ros-melodic-angles, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-image-view2, ros-melodic-jsk-data, ros-melodic-jsk-recognition-msgs, ros-melodic-jsk-recognition-utils, ros-melodic-jsk-tools, ros-melodic-jsk-topic-tools, ros-melodic-libcmt, ros-melodic-message-generation, ros-melodic-mk, ros-melodic-nodelet, ros-melodic-opencv-apps, ros-melodic-pcl-ros, ros-melodic-posedetection-msgs, ros-melodic-robot-self-filter, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-roslint, ros-melodic-rospack, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf
Homepage: https://jsk-docs.readthedocs.io/projects/jsk_recognition/en/latest/jsk_perception
Standards-Version: 3.9.2

Package: ros-melodic-jsk-perception
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libleveldb-dev, libyaml-cpp-dev, python-h5py, python-sklearn, python-yaml, ros-melodic-angles, ros-melodic-checkerboard-detector, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-image-view, ros-melodic-image-view2, ros-melodic-imagesift, ros-melodic-jsk-data, ros-melodic-jsk-gui-msgs, ros-melodic-jsk-recognition-msgs, ros-melodic-jsk-recognition-utils, ros-melodic-jsk-topic-tools, ros-melodic-libcmt, ros-melodic-message-runtime, ros-melodic-mk, ros-melodic-nodelet, ros-melodic-opencv-apps, ros-melodic-openni2-launch, ros-melodic-pcl-ros, ros-melodic-posedetection-msgs, ros-melodic-robot-self-filter, ros-melodic-rosbag, ros-melodic-roscpp, ros-melodic-rospack, ros-melodic-rospy, ros-melodic-rostopic, ros-melodic-rqt-gui, ros-melodic-rviz, ros-melodic-sensor-msgs, ros-melodic-sound-play, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-tf2-geometry-msgs, ros-melodic-topic-tools
Description: ROS nodes and nodelets for 2-D image perception.
